import { Workout } from "@/model/Workout";
import { AbstractService } from "../abstract.service";
import { IExerciceService } from "./exercice.service.interface";

export class ExerciceStubService
  extends AbstractService
  implements IExerciceService
{
  async getExercices() {
    return [
      new Workout({
        id: "1",
        name: "Pompes",
        description:
          "Exercice classique de renforcement des pectoraux et triceps.",
        duration: 60,
        image: "https://example.com/images/pompes.jpg",
        video: "https://example.com/videos/pompes.mp4",
        nbSeries: 3,
        nbRepetitions: 15,
      }),
      new Workout({
        id: "2",
        name: "Squats",
        description: "Travail les jambes, les fessiers et le tronc.",
        duration: 90,
        image: "https://example.com/images/squats.jpg",
        video: "https://example.com/videos/squats.mp4",
        nbSeries: 4,
        nbRepetitions: 20,
      }),
      new Workout({
        id: "3",
        name: "Gainage",
        description: "Renforcement du tronc, gainage statique.",
        duration: 45,
        image: "https://example.com/images/gainage.jpg",
        video: "https://example.com/videos/gainage.mp4",
        nbSeries: 3,
        nbRepetitions: 1, // pour les exercices isométriques, 1 répétition de 45s par exemple
      }),
      new Workout({
        id: "4",
        name: "Fentes",
        description: "Renforcement des jambes, bon pour l’équilibre.",
        duration: 80,
        image: "https://example.com/images/fentes.jpg",
        video: "https://example.com/videos/fentes.mp4",
        nbSeries: 3,
        nbRepetitions: 12,
      }),
      new Workout({
        id: "5",
        name: "Abdominaux",
        description: "Travail des muscles abdominaux avec crunchs.",
        duration: 60,
        image: "https://example.com/images/abdos.jpg",
        video: "https://example.com/videos/abdos.mp4",
        nbSeries: 4,
        nbRepetitions: 20,
      }),
    ];
  }
}
